67b3ab644ff3bf061981be8ed387ef030441bc34
[releng/global-jjb.git] / .jjb-test / expected-xml / github-ciman-packer-verify
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <com.coravy.hudson.plugins.github.GithubProjectProperty plugin="github">
13       <projectUrl>https://github.com/example-org/releng/ciman</projectUrl>
14       <displayName/>
15     </com.coravy.hudson.plugins.github.GithubProjectProperty>
16     <hudson.model.ParametersDefinitionProperty>
17       <parameterDefinitions>
18         <hudson.model.StringParameterDefinition>
19           <name>PROJECT</name>
20           <description>Parameter to identify a Gerrit project. This is typically the
21 project repo path as exists in Gerrit.
22 For example: ofextensions/circuitsw
23 </description>
24           <defaultValue>releng/ciman</defaultValue>
25         </hudson.model.StringParameterDefinition>
26         <hudson.model.StringParameterDefinition>
27           <name>STREAM</name>
28           <description>Stream is often set to the same name as 'branch' but can
29 sometimes be used as a name representing a project's release code
30 name.
31 </description>
32           <defaultValue>master</defaultValue>
33         </hudson.model.StringParameterDefinition>
34         <hudson.model.StringParameterDefinition>
35           <name>GERRIT_PROJECT</name>
36           <description>Parameter to identify Gerrit project. This is typically the
37 project repo path as exists in Gerrit.
38 For example: ofextensions/circuitsw
39
40 Note that Gerrit will override this parameter automatically if a
41 job is triggered by Gerrit.
42 </description>
43           <defaultValue>releng/ciman</defaultValue>
44         </hudson.model.StringParameterDefinition>
45         <hudson.model.StringParameterDefinition>
46           <name>GERRIT_BRANCH</name>
47           <description>Parameter to identify a Gerrit branch.
48
49 Note that Gerrit will override this parameter automatically if a
50 job is triggered by Gerrit.
51 </description>
52           <defaultValue>master</defaultValue>
53         </hudson.model.StringParameterDefinition>
54         <hudson.model.StringParameterDefinition>
55           <name>GERRIT_REFSPEC</name>
56           <description>Parameter to identify a refspec when pulling from Gerrit.
57
58 Note that Gerrit will override this parameter automatically if a
59 job is triggered by Gerrit.
60 </description>
61           <defaultValue>refs/heads/master</defaultValue>
62         </hudson.model.StringParameterDefinition>
63         <hudson.model.StringParameterDefinition>
64           <name>LFTOOLS_VERSION</name>
65           <description>Version of lftools to install. Can be a specific version like
66 '0.6.0' or a PEP-440 definition.
67 https://www.python.org/dev/peps/pep-0440/
68 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
69 </description>
70           <defaultValue>&lt;1.0.0</defaultValue>
71         </hudson.model.StringParameterDefinition>
72         <hudson.model.StringParameterDefinition>
73           <name>PACKER_VERSION</name>
74           <description>Packer version to download and install.</description>
75           <defaultValue>1.1.3</defaultValue>
76         </hudson.model.StringParameterDefinition>
77       </parameterDefinitions>
78     </hudson.model.ParametersDefinitionProperty>
79   </properties>
80   <scm class="hudson.plugins.git.GitSCM">
81     <configVersion>2</configVersion>
82     <userRemoteConfigs>
83       <hudson.plugins.git.UserRemoteConfig>
84         <name>origin</name>
85         <refspec>+refs/pull/*:refs/remotes/origin/pr/*</refspec>
86         <url>git@github.com:example-org/releng/ciman</url>
87         <credentialsId>test-credential</credentialsId>
88       </hudson.plugins.git.UserRemoteConfig>
89     </userRemoteConfigs>
90     <branches>
91       <hudson.plugins.git.BranchSpec>
92         <name>$sha1</name>
93       </hudson.plugins.git.BranchSpec>
94     </branches>
95     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
96     <remotePoll>false</remotePoll>
97     <gitTool>Default</gitTool>
98     <submoduleCfg class="list"/>
99     <reference/>
100     <gitConfigName/>
101     <gitConfigEmail/>
102     <extensions>
103       <hudson.plugins.git.extensions.impl.BuildChooserSetting>
104         <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
105       </hudson.plugins.git.extensions.impl.BuildChooserSetting>
106       <hudson.plugins.git.extensions.impl.SubmoduleOption>
107         <disableSubmodules>false</disableSubmodules>
108         <recursiveSubmodules>true</recursiveSubmodules>
109         <trackingSubmodules>false</trackingSubmodules>
110         <parentCredentials>false</parentCredentials>
111         <reference/>
112         <timeout>10</timeout>
113       </hudson.plugins.git.extensions.impl.SubmoduleOption>
114       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
115     </extensions>
116   </scm>
117   <triggers class="vector">
118     <org.jenkinsci.plugins.ghprb.GhprbTrigger>
119       <spec/>
120       <adminlist/>
121       <allowMembersOfWhitelistedOrgsAsAdmin>false</allowMembersOfWhitelistedOrgsAsAdmin>
122       <whitelist/>
123       <orgslist/>
124       <whiteListLabels/>
125       <blackListLabels/>
126       <cron/>
127       <triggerPhrase>^recheck$</triggerPhrase>
128       <skipBuildPhrase/>
129       <onlyTriggerPhrase>false</onlyTriggerPhrase>
130       <useGitHubHooks>true</useGitHubHooks>
131       <permitAll>true</permitAll>
132       <autoCloseFailedPullRequests>false</autoCloseFailedPullRequests>
133       <extensions>
134         <org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
135           <commitStatusContext>Packer Verify</commitStatusContext>
136         </org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
137       </extensions>
138     </org.jenkinsci.plugins.ghprb.GhprbTrigger>
139   </triggers>
140   <builders>
141     <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
142       <managedFiles>
143         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
144           <fileId>ci-packer-cloud-env</fileId>
145           <targetLocation/>
146           <variable>CLOUDENV</variable>
147         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
148       </managedFiles>
149     </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
150     <EnvInjectBuilder>
151       <info>
152         <propertiesContent>PACKER_VERSION=1.1.3
153 </propertiesContent>
154       </info>
155     </EnvInjectBuilder>
156     <hudson.tasks.Shell>
157       <command>#!/bin/bash
158 # SPDX-License-Identifier: EPL-1.0
159 ##############################################################################
160 # Copyright (c) 2017 The Linux Foundation and others.
161 #
162 # All rights reserved. This program and the accompanying materials
163 # are made available under the terms of the Eclipse Public License v1.0
164 # which accompanies this distribution, and is available at
165 # http://www.eclipse.org/legal/epl-v10.html
166 ##############################################################################
167 echo &quot;---&gt; packer-install.sh&quot;
168 # The script checks for the packer binaries and installs the binary
169 # if its not available
170
171 # $PACKER_VERSION        : Define a packer version passed as job paramter
172
173 PACKER_VERSION=&quot;${PACKER_VERSION:-1.1.3}&quot;
174
175 # Ensure we fail the job if any steps fail.
176 set -eu -o pipefail
177
178 if hash packer.io 2&gt;/dev/null; then
179     echo &quot;packer.io command is available.&quot;
180 else
181     echo &quot;packer.io command not is available. Installing packer ...&quot;
182     # Installs Hashicorp's Packer binary, required for verify &amp; merge packer jobs
183     pushd &quot;${WORKSPACE}&quot;
184     wget -nv &quot;https://releases.hashicorp.com/packer/${PACKER_VERSION}/packer_${PACKER_VERSION}_linux_amd64.zip&quot;
185     mkdir -p &quot;${WORKSPACE}/bin&quot;
186     unzip &quot;packer_${PACKER_VERSION}_linux_amd64.zip&quot; -d &quot;${WORKSPACE}/bin/&quot;
187     # rename packer to avoid conflict with binary in cracklib
188     mv &quot;${WORKSPACE}/bin/packer&quot; &quot;${WORKSPACE}/bin/packer.io&quot;
189     popd
190 fi
191
192 #!/bin/bash
193 # SPDX-License-Identifier: EPL-1.0
194 ##############################################################################
195 # Copyright (c) 2017 The Linux Foundation and others.
196 #
197 # All rights reserved. This program and the accompanying materials
198 # are made available under the terms of the Eclipse Public License v1.0
199 # which accompanies this distribution, and is available at
200 # http://www.eclipse.org/legal/epl-v10.html
201 ##############################################################################
202 echo &quot;---&gt; packer-validate.sh&quot;
203 # The script validates an packers files.
204
205 # $CLOUDENV            :  Provides the cloud credential file.
206
207 # Ensure we fail the job if any steps fail.
208 set -eu -o pipefail
209
210 PACKER_LOGS_DIR=&quot;$WORKSPACE/archives/packer&quot;
211 mkdir -p &quot;$PACKER_LOGS_DIR&quot;
212 export PATH=&quot;${WORKSPACE}/bin:$PATH&quot;
213
214 cd packer
215 varfiles=(vars/*.json common-packer/vars/*.json)
216 templates=(templates/*.json)
217
218 for varfile in &quot;${varfiles[@]}&quot;; do
219     # cloud-env.json is a file containing credentials which is pulled in via
220     # CLOUDENV variable so skip it here. Also handle the case where a project
221     # has not vars/*.json file.
222     if [[ &quot;$varfile&quot; == *&quot;cloud-env.json&quot;* ]] || [[ &quot;$varfile&quot; == 'vars/*.json' ]]; then
223         continue
224     fi
225
226     echo &quot;-----&gt; Testing varfile: $varfile&quot;
227     for template in &quot;${templates[@]}&quot;; do
228         export PACKER_LOG=&quot;yes&quot;
229         export PACKER_LOG_PATH=&quot;$PACKER_LOGS_DIR/packer-validate-${varfile##*/}-${template##*/}.log&quot;
230         if output=$(packer.io validate -var-file=&quot;$CLOUDENV&quot; -var-file=&quot;$varfile&quot; &quot;$template&quot;); then
231             echo &quot;$template: $output&quot;
232         else
233             echo &quot;$template: $output&quot;
234             exit 1
235         fi
236     done
237 done
238 </command>
239     </hudson.tasks.Shell>
240     <hudson.tasks.Shell>
241       <command>#!/bin/bash
242 # SPDX-License-Identifier: EPL-1.0
243 ##############################################################################
244 # Copyright (c) 2017 The Linux Foundation and others.
245 #
246 # All rights reserved. This program and the accompanying materials
247 # are made available under the terms of the Eclipse Public License v1.0
248 # which accompanies this distribution, and is available at
249 # http://www.eclipse.org/legal/epl-v10.html
250 ##############################################################################
251 echo &quot;---&gt; packer-clear-credentials.sh&quot;
252
253 set +e  # DO NOT cause build failure if any of the rm calls fail.
254 rm &quot;$CLOUDENV&quot;
255 exit 0
256 </command>
257     </hudson.tasks.Shell>
258   </builders>
259   <publishers>
260     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
261       <buildSteps>
262         <hudson.tasks.Shell>
263           <command>#!/bin/bash
264 # SPDX-License-Identifier: EPL-1.0
265 ##############################################################################
266 # Copyright (c) 2017 The Linux Foundation and others.
267 #
268 # All rights reserved. This program and the accompanying materials
269 # are made available under the terms of the Eclipse Public License v1.0
270 # which accompanies this distribution, and is available at
271 # http://www.eclipse.org/legal/epl-v10.html
272 ##############################################################################
273 echo &quot;---&gt; sysstat.sh&quot;
274 set +e  # DON'T fail build if script fails.
275
276 OS=$(facter operatingsystem)
277 case &quot;$OS&quot; in
278     Ubuntu)
279         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
280
281         # Dont run the script when systat is not enabled by default
282         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
283             exit 0
284         fi
285     ;;
286     CentOS|RedHat)
287         SYSSTAT_PATH=&quot;/var/log/sa&quot;
288     ;;
289     *)
290         # nothing to do
291         exit 0
292     ;;
293 esac
294
295 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
296 mkdir -p &quot;$SAR_DIR&quot;
297 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
298 # convert sar data to ascii format
299 while IFS=&quot;&quot; read -r sarfilenum
300 do
301     [ -f &quot;$sarfilenum&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$sarfilenum&quot; &gt; &quot;$SAR_DIR/sar${sarfilenum//[!0-9]/}&quot;
302 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
303
304 # DON'T fail build if script fails.
305 exit 0
306 </command>
307         </hudson.tasks.Shell>
308         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
309           <managedFiles>
310             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
311               <fileId>jenkins-log-archives-settings</fileId>
312               <targetLocation/>
313               <variable>SETTINGS_FILE</variable>
314             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
315           </managedFiles>
316         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
317         <EnvInjectBuilder>
318           <info>
319             <propertiesContent>SERVER_ID=logs</propertiesContent>
320           </info>
321         </EnvInjectBuilder>
322         <hudson.tasks.Shell>
323           <command>#!/bin/bash
324 # SPDX-License-Identifier: EPL-1.0
325 ##############################################################################
326 # Copyright (c) 2017 The Linux Foundation and others.
327 #
328 # All rights reserved. This program and the accompanying materials
329 # are made available under the terms of the Eclipse Public License v1.0
330 # which accompanies this distribution, and is available at
331 # http://www.eclipse.org/legal/epl-v10.html
332 ##############################################################################
333 echo &quot;---&gt; create-netrc.sh&quot;
334
335 # Ensure we fail the job if any steps fail.
336 set -eu -o pipefail
337
338 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
339 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
340     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
341     -v x:username -o &quot;:&quot; -v x:password \
342     &quot;$SETTINGS_FILE&quot;)
343
344 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
345 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
346 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
347
348 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
349 </command>
350         </hudson.tasks.Shell>
351         <hudson.tasks.Shell>
352           <command>#!/bin/bash
353 # SPDX-License-Identifier: EPL-1.0
354 ##############################################################################
355 # Copyright (c) 2017 The Linux Foundation and others.
356 #
357 # All rights reserved. This program and the accompanying materials
358 # are made available under the terms of the Eclipse Public License v1.0
359 # which accompanies this distribution, and is available at
360 # http://www.eclipse.org/legal/epl-v10.html
361 ##############################################################################
362 echo &quot;---&gt; lftools-install.sh&quot;
363
364 # Script to install lftools via a version passed in via lf-infra-parameters
365 #
366 # Required parameters:
367 #
368 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
369 #                      set to a strict version number like '1.2.3' or using
370 #                      PEP-440 definitions.
371 #
372 #                      Examples:
373 #                          &lt;1.0.0
374 #                          &gt;=1.0.0,&lt;2.0.0
375 #
376 # By default a released version of lftools should always be used.
377 # The purpose of the 2 variables below is so that lftools devs can test
378 # unreleased versions of lftools. There are 2 methods to install a dev version
379 # of lftools:
380 #
381 #     1) gerrit patch: Used to test a patch that has not yet been merged.
382 #                      To do this set something like this:
383 #                          LFTOOLS_MODE=gerrit
384 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
385 #
386 #     2) git branch: Used to install an lftools version from a specific branch.
387 #                    To use this set the variables as follows:
388 #                          LFTOOLS_MODE=git
389 #                          LFTOOLS_REFSPEC=master
390 #
391 #     3) release : The intended use case and default setting.
392 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
393
394 LFTOOLS_MODE=release  # release | git | gerrit
395 LFTOOLS_REFSPEC=master
396
397 # Ensure we fail the job if any steps fail.
398 # DO NOT set -u as virtualenv's activate script has unbound variables
399 set -e -o pipefail
400
401 virtualenv --quiet &quot;/tmp/v/lftools&quot;
402 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
403 source &quot;/tmp/v/lftools/bin/activate&quot;
404 pip install --quiet --upgrade pip
405
406 case $LFTOOLS_MODE in
407     gerrit)
408         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
409         pushd /tmp/lftools
410         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
411         git checkout FETCH_HEAD
412         pip install --quiet --upgrade -r requirements.txt
413         pip install --quiet --upgrade -e .
414         popd
415         ;;
416
417     git)
418         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
419         ;;
420
421     release)
422         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
423             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
424         fi
425
426         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
427         ;;
428 esac
429
430 lftools --version
431
432 # pipdeptree prints out a lot of information because lftools pulls in many
433 # dependencies. Let's only print it if we want to debug.
434 # echo &quot;----&gt; Pip Dependency Tree&quot;
435 # pip install --quiet --upgrade pipdeptree
436 # pipdeptree
437
438 #!/bin/bash
439 # SPDX-License-Identifier: EPL-1.0
440 ##############################################################################
441 # Copyright (c) 2017 The Linux Foundation and others.
442 #
443 # All rights reserved. This program and the accompanying materials
444 # are made available under the terms of the Eclipse Public License v1.0
445 # which accompanies this distribution, and is available at
446 # http://www.eclipse.org/legal/epl-v10.html
447 ##############################################################################
448 echo &quot;---&gt; logs-deploy.sh&quot;
449
450 # Ensure we fail the job if any steps fail.
451 set -eu -o pipefail
452
453 set -x  # Trace commands for this script to make debugging easier.
454
455 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
456 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
457
458 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
459 then
460     set +x # Disable trace since we no longer need it
461
462     echo &quot;WARNING: Logging server not set&quot;
463 else
464     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
465     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
466     BUILD_URL=&quot;${BUILD_URL}&quot;
467
468     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
469     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
470
471     set +x  # Disable trace since we no longer need it.
472
473     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
474 fi
475 </command>
476         </hudson.tasks.Shell>
477         <hudson.tasks.Shell>
478           <command>#!/bin/bash
479 # SPDX-License-Identifier: EPL-1.0
480 ##############################################################################
481 # Copyright (c) 2017 The Linux Foundation and others.
482 #
483 # All rights reserved. This program and the accompanying materials
484 # are made available under the terms of the Eclipse Public License v1.0
485 # which accompanies this distribution, and is available at
486 # http://www.eclipse.org/legal/epl-v10.html
487 ##############################################################################
488
489 # Clear log credential files
490 rm &quot;$SETTINGS_FILE&quot;
491 rm ~/.netrc
492 </command>
493         </hudson.tasks.Shell>
494         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
495           <regexp>^Build logs: .*</regexp>
496         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
497       </buildSteps>
498       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
499       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
500       <markBuildUnstable>false</markBuildUnstable>
501     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
502     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
503       <patterns>
504         <hudson.plugins.ws__cleanup.Pattern>
505           <pattern>**/*.jenkins-trigger</pattern>
506           <type>EXCLUDE</type>
507         </hudson.plugins.ws__cleanup.Pattern>
508       </patterns>
509       <deleteDirs>false</deleteDirs>
510       <cleanupMatrixParent>false</cleanupMatrixParent>
511       <externalDelete/>
512       <cleanWhenSuccess>true</cleanWhenSuccess>
513       <cleanWhenUnstable>true</cleanWhenUnstable>
514       <cleanWhenFailure>true</cleanWhenFailure>
515       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
516       <cleanWhenAborted>true</cleanWhenAborted>
517       <notFailBuild>true</notFailBuild>
518     </hudson.plugins.ws__cleanup.WsCleanup>
519   </publishers>
520   <buildWrappers>
521     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
522     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
523       <timeoutMinutes>10</timeoutMinutes>
524       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
525       <failBuild>true</failBuild>
526       <writingDescription>false</writingDescription>
527       <timeoutPercentage>0</timeoutPercentage>
528       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
529       <timeoutType>absolute</timeoutType>
530     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
531     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
532     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
533       <user>test-credential</user>
534     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
535     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
536     <org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper plugin="config-file-provider">
537       <managedFiles>
538         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
539           <fileId>npmrc</fileId>
540           <targetLocation>$HOME/.npmrc</targetLocation>
541           <variable/>
542         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
543       </managedFiles>
544     </org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper>
545   </buildWrappers>
546 </project>